
list(APPEND UNIT_TEST_FILES
	TestBlochSphereNode.cpp
	TestQuantumCircuitParsing.cpp
	TestQuantumSimulator.cpp
)

add_executable(quantum_computing_unit_tests ${CMAKE_SOURCE_DIR}/test/test_runner.cpp ${UNIT_TEST_FILES})
target_link_libraries(quantum_computing_unit_tests PUBLIC test_utils quantum_computing)
set_property(TARGET quantum_computing_unit_tests PROPERTY FOLDER plugins)